# AlternC MonSyndicat WP

Plugin for AlternC which will install the MonSyndicat WordPress distribution in the default domain of all new accounts.

# Installation

## Debian

1. Add koumbit's debian repository: `
sudo echo 'deb http://debian.koumbit.net/debian stable main' > /etc/apt/sources.list.d/koumbit.list
wget http://debian.koumbit.net/debian/key.asc -O - | sudo apt-key add -
sudo apt update
`
2. Install: `
sudo apt install alternc-monsyndicat-wp
`

## From source

1. Copy ./src/m_monsyndicat_wp.php to /usr/share/alternc/panel/class/

# Configuration

1. Set the value of ALTERNC_MONSYNDICAT_TAR in /etc/alternc/locals.sh to the path where the tar archive of the WordPress distribution is.
  * *Note:* The admin panel is restricted by openbasedir to which locations it may access. Somewhere in /var/lib/alternc/panel/ is a good choice
  * If ALTERNC_MONSYNDICAT_TAR is not set, no site will be installed.

# Usage

When a new account is created in alternc a database "$username_default" will be created. 

If the option create default domain is checked, then the WordPress distribution will be unpacked and installed in that domain using the default database crreated earlier.

The admin e-mail is taken from the e-mail address of the account. The default user is 'admin'.

# Copright and License

2018 Kienan Stewart <kienan@koumbit.org>

Licensed under GPLv2 or later. See LICENSE for the full text.
